summaryrefslogtreecommitdiff
path: root/test/integration
diff options
context:
space:
mode:
authorDavid Kalnischkies <kalnischkies@gmail.com>2012-07-09 17:38:40 +0200
committerDavid Kalnischkies <kalnischkies@gmail.com>2012-07-09 17:38:40 +0200
commite6cd40dc17722bbe6c9d734c3a58b39a18c34174 (patch)
treea3e6c55cb67866b8fba8e0bdeca7cf0b81be3280 /test/integration
parent947878508fbd153766a9ded131a04260ca4c7a83 (diff)
start implementing an extremely simple webserver for testing APT
Diffstat (limited to 'test/integration')
-rw-r--r--test/integration/framework7
-rwxr-xr-xtest/integration/skip-aptwebserver25
2 files changed, 31 insertions, 1 deletions
diff --git a/test/integration/framework b/test/integration/framework
index 2d6ada117..a514bef20 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -688,7 +688,12 @@ signreleasefiles() {
}
changetowebserver() {
- if which weborf > /dev/null; then
+ if test -x ${BUILDDIRECTORY}/aptwebserver; then
+ cd aptarchive
+ LD_LIBRARY_PATH=${BUILDDIRECTORY} ${BUILDDIRECTORY}/aptwebserver 2> /dev/null > /dev/null &
+ addtrap "kill $!;"
+ cd - > /dev/null
+ elif which weborf > /dev/null; then
weborf -xb aptarchive/ 2>&1 > /dev/null &
addtrap "kill $!;"
elif which gatling > /dev/null; then
diff --git a/test/integration/skip-aptwebserver b/test/integration/skip-aptwebserver
new file mode 100755
index 000000000..0622941ce
--- /dev/null
+++ b/test/integration/skip-aptwebserver
@@ -0,0 +1,25 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture 'amd64'
+
+buildsimplenativepackage 'apt' 'all' '1.0' 'stable'
+
+setupaptarchive
+changetowebserver
+
+rm -rf rootdir/var/lib/apt/lists
+aptget update -qq
+testequal 'Hit http://localhost stable InRelease
+Hit http://localhost stable/main Sources
+Hit http://localhost stable/main amd64 Packages
+Hit http://localhost stable/main Translation-en
+Reading package lists...' aptget update
+
+mv rootdir/var/lib/apt/lists/localhost* rootdir/var/lib/apt/lists/partial
+aptget update
+